"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSdk = exports.getExpenses_queryDocument = exports.getMeshSDK = exports.getBuiltMesh = exports.documentsInSDL = exports.getMeshOptions = exports.rawConfig = exports._query_options_order = exports._query_getExpenses_expenses_items_currency_symbol = void 0;
const tslib_1 = require("tslib");
var _query_getExpenses_expenses_items_currency_symbol;
(function (_query_getExpenses_expenses_items_currency_symbol) {
    _query_getExpenses_expenses_items_currency_symbol["EUR"] = "EUR";
    _query_getExpenses_expenses_items_currency_symbol["USD"] = "USD";
})(_query_getExpenses_expenses_items_currency_symbol = exports._query_getExpenses_expenses_items_currency_symbol || (exports._query_getExpenses_expenses_items_currency_symbol = {}));
var _query_options_order;
(function (_query_options_order) {
    _query_options_order["document_date"] = "document_date";
})(_query_options_order = exports._query_options_order || (exports._query_options_order = {}));
const runtime_1 = require("@graphql-mesh/runtime");
const store_1 = require("@graphql-mesh/store");
const process_1 = require("process");
const path_1 = require("path");
const transpile_only_1 = tslib_1.__importDefault(require("ts-node/register/transpile-only"));
const cache_inmemory_lru_1 = tslib_1.__importDefault(require("@graphql-mesh/cache-inmemory-lru"));
const json_schema_1 = tslib_1.__importDefault(require("@graphql-mesh/json-schema"));
const merger_stitching_1 = tslib_1.__importDefault(require("@graphql-mesh/merger-stitching"));
const transform_resolvers_composition_1 = tslib_1.__importDefault(require("@graphql-mesh/transform-resolvers-composition"));
const jsonSchema_json_js_1 = tslib_1.__importDefault(require("./sources/Payper/jsonSchema.json.js"));
const getExpensesResolver_1 = tslib_1.__importDefault(require("./../src/resolvers/getExpensesResolver"));
const importedModules = {
    // @ts-ignore
    [`ts-node/register/transpile-only`]: transpile_only_1.default,
    // @ts-ignore
    [`@graphql-mesh/cache-inmemory-lru`]: cache_inmemory_lru_1.default,
    // @ts-ignore
    [`@graphql-mesh/json-schema`]: json_schema_1.default,
    // @ts-ignore
    [`@graphql-mesh/merger-stitching`]: merger_stitching_1.default,
    // @ts-ignore
    [`@graphql-mesh/transform-resolvers-composition`]: transform_resolvers_composition_1.default,
    // @ts-ignore
    [`.mesh/sources/Payper/jsonSchema.json.js`]: jsonSchema_json_js_1.default,
    // @ts-ignore
    [`src/resolvers/getExpensesResolver`]: getExpensesResolver_1.default
};
const baseDir = path_1.join(process_1.cwd(), '');
const syncImportFn = (moduleId) => {
    const relativeModuleId = path_1.isAbsolute(moduleId) ? path_1.relative(baseDir, moduleId) : moduleId;
    if (!(relativeModuleId in importedModules)) {
        throw new Error(`Cannot find module '${relativeModuleId}'.`);
    }
    return importedModules[relativeModuleId];
};
const importFn = async (moduleId) => syncImportFn(moduleId);
const rootStore = new store_1.MeshStore('.mesh', new store_1.FsStoreStorageAdapter({
    cwd: baseDir,
    importFn,
}), {
    readonly: true,
    validate: false
});
require("ts-node/register/transpile-only");
const cache_inmemory_lru_2 = tslib_1.__importDefault(require("@graphql-mesh/cache-inmemory-lru"));
const graphql_subscriptions_1 = require("graphql-subscriptions");
const events_1 = require("events");
const utils_1 = require("@graphql-mesh/utils");
const json_schema_2 = tslib_1.__importDefault(require("@graphql-mesh/json-schema"));
const merger_stitching_2 = tslib_1.__importDefault(require("@graphql-mesh/merger-stitching"));
const transform_resolvers_composition_2 = tslib_1.__importDefault(require("@graphql-mesh/transform-resolvers-composition"));
const utils_2 = require("@graphql-mesh/utils");
exports.rawConfig = { "sources": [{ "name": "Payper", "handler": { "jsonSchema": { "baseUrl": "https://payper.co.il/app/api", "operationHeaders": { "API_KEY": "{env.PAYPER_MESH_AUTH_TOKEN}", "Content-Type": "application/json", "Accept": "application/json" }, "operations": [{ "type": "Query", "field": "getExpenses", "path": "/pull_expenses", "method": "POST", "requestSchema": "./json-schemas/getExpensesRequest.json", "responseSchema": "./json-schemas/payperSchema.json#/definitions/getExpensesResponse" }] } }, "transforms": [{ "resolversComposition": { "mode": "bare", "compositions": [{ "resolver": "Query.getExpenses", "composer": "./src/resolvers/getExpensesResolver" }] } }] }], "serve": { "browser": false }, "sdk": { "generateOperations": { "selectionSetDepth": 2 } }, "require": ["ts-node/register/transpile-only"] };
function getMeshOptions() {
    const cache = new cache_inmemory_lru_2.default({
        ...(exports.rawConfig.cache || {}),
        store: rootStore.child('cache'),
    });
    const eventEmitter = new events_1.EventEmitter({ captureRejections: true });
    eventEmitter.setMaxListeners(Infinity);
    const pubsub = new graphql_subscriptions_1.PubSub({ eventEmitter });
    const sourcesStore = rootStore.child('sources');
    const logger = new utils_1.DefaultLogger('Mesh');
    const sources = [];
    const transforms = [];
    const payperTransforms = [];
    const additionalTypeDefs = [];
    const payperHandler = new json_schema_2.default({
        name: exports.rawConfig.sources[0].name,
        config: exports.rawConfig.sources[0].handler.jsonSchema,
        baseDir,
        cache,
        pubsub,
        store: sourcesStore.child(exports.rawConfig.sources[0].name),
        logger: logger.child(exports.rawConfig.sources[0].name),
        importFn
    });
    const merger = new merger_stitching_2.default({
        cache,
        pubsub,
        logger: logger.child('StitchingMerger'),
        store: rootStore.child('stitchingMerger')
    });
    payperTransforms.push(new transform_resolvers_composition_2.default({
        apiName: exports.rawConfig.sources[0].name,
        config: exports.rawConfig.sources[0].transforms[0].resolversComposition,
        baseDir,
        cache,
        pubsub,
        syncImportFn
    }));
    sources.push({
        name: 'Payper',
        handler: payperHandler,
        transforms: payperTransforms
    });
    const additionalResolvers = utils_2.resolveAdditionalResolvers(baseDir, exports.rawConfig.additionalResolvers, syncImportFn, pubsub);
    const liveQueryInvalidations = exports.rawConfig.liveQueryInvalidations;
    return {
        sources,
        transforms,
        additionalTypeDefs,
        additionalResolvers,
        cache,
        pubsub,
        merger,
        logger,
        liveQueryInvalidations,
    };
}
exports.getMeshOptions = getMeshOptions;
exports.documentsInSDL = [];
function getBuiltMesh() {
    const meshConfig = getMeshOptions();
    return runtime_1.getMesh(meshConfig);
}
exports.getBuiltMesh = getBuiltMesh;
async function getMeshSDK() {
    const { sdkRequester } = await getBuiltMesh();
    return getSdk(sdkRequester);
}
exports.getMeshSDK = getMeshSDK;
exports.getExpenses_queryDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getExpenses_query" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "input" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "_queryInput_getExpenses_Input" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "getExpenses" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "input" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "input" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "description" } }, { "kind": "Field", "name": { "kind": "Name", "value": "expenses" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "created_at" } }, { "kind": "Field", "name": { "kind": "Name", "value": "currency_symbol" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_date" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_type" } }, { "kind": "Field", "name": { "kind": "Name", "value": "file_name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "file_url" } }, { "kind": "Field", "name": { "kind": "Name", "value": "foreign_total_for_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "original_file_name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "provider" } }, { "kind": "Field", "name": { "kind": "Name", "value": "recognized_vat_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "remarks" } }, { "kind": "Field", "name": { "kind": "Name", "value": "status_classification" } }, { "kind": "Field", "name": { "kind": "Name", "value": "system_id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_for_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_for_vat" } }, { "kind": "Field", "name": { "kind": "Name", "value": "updated_at" } }, { "kind": "Field", "name": { "kind": "Name", "value": "vat_payment" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "next_page" } }, { "kind": "Field", "name": { "kind": "Name", "value": "result" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_entries" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_pages" } }] } }] } }] };
function getSdk(requester) {
    return {
        getExpenses_query(variables, options) {
            return requester(exports.getExpenses_queryDocument, variables, options);
        }
    };
}
exports.getSdk = getSdk;
