export var _query_getExpenses_expenses_items_currency_symbol;
(function (_query_getExpenses_expenses_items_currency_symbol) {
    _query_getExpenses_expenses_items_currency_symbol["EUR"] = "EUR";
    _query_getExpenses_expenses_items_currency_symbol["USD"] = "USD";
})(_query_getExpenses_expenses_items_currency_symbol || (_query_getExpenses_expenses_items_currency_symbol = {}));
export var _query_options_order;
(function (_query_options_order) {
    _query_options_order["document_date"] = "document_date";
})(_query_options_order || (_query_options_order = {}));
import { getMesh } from '@graphql-mesh/runtime';
import { MeshStore, FsStoreStorageAdapter } from '@graphql-mesh/store';
import { cwd } from 'process';
import { join, relative, isAbsolute } from 'path';
import ExternalModule_0 from 'ts-node/register/transpile-only';
import ExternalModule_1 from '@graphql-mesh/cache-inmemory-lru';
import ExternalModule_2 from '@graphql-mesh/json-schema';
import ExternalModule_3 from '@graphql-mesh/merger-stitching';
import ExternalModule_4 from '@graphql-mesh/transform-resolvers-composition';
import ExternalModule_5 from './sources/Payper/jsonSchema.json.js';
import ExternalModule_6 from './../src/resolvers/getExpensesResolver';
const importedModules = {
    // @ts-ignore
    [`ts-node/register/transpile-only`]: ExternalModule_0,
    // @ts-ignore
    [`@graphql-mesh/cache-inmemory-lru`]: ExternalModule_1,
    // @ts-ignore
    [`@graphql-mesh/json-schema`]: ExternalModule_2,
    // @ts-ignore
    [`@graphql-mesh/merger-stitching`]: ExternalModule_3,
    // @ts-ignore
    [`@graphql-mesh/transform-resolvers-composition`]: ExternalModule_4,
    // @ts-ignore
    [`.mesh/sources/Payper/jsonSchema.json.js`]: ExternalModule_5,
    // @ts-ignore
    [`src/resolvers/getExpensesResolver`]: ExternalModule_6
};
const baseDir = join(cwd(), '');
const syncImportFn = (moduleId) => {
    const relativeModuleId = isAbsolute(moduleId) ? relative(baseDir, moduleId) : moduleId;
    if (!(relativeModuleId in importedModules)) {
        throw new Error(`Cannot find module '${relativeModuleId}'.`);
    }
    return importedModules[relativeModuleId];
};
const importFn = async (moduleId) => syncImportFn(moduleId);
const rootStore = new MeshStore('.mesh', new FsStoreStorageAdapter({
    cwd: baseDir,
    importFn,
}), {
    readonly: true,
    validate: false
});
import 'ts-node/register/transpile-only';
import MeshCache from '@graphql-mesh/cache-inmemory-lru';
import { PubSub } from 'graphql-subscriptions';
import { EventEmitter } from 'events';
import { DefaultLogger } from '@graphql-mesh/utils';
import JsonSchemaHandler from '@graphql-mesh/json-schema';
import StitchingMerger from '@graphql-mesh/merger-stitching';
import ResolversCompositionTransform from '@graphql-mesh/transform-resolvers-composition';
import { resolveAdditionalResolvers } from '@graphql-mesh/utils';
export const rawConfig = { "sources": [{ "name": "Payper", "handler": { "jsonSchema": { "baseUrl": "https://payper.co.il/app/api", "operationHeaders": { "API_KEY": "{env.PAYPER_MESH_AUTH_TOKEN}", "Content-Type": "application/json", "Accept": "application/json" }, "operations": [{ "type": "Query", "field": "getExpenses", "path": "/pull_expenses", "method": "POST", "requestSchema": "./json-schemas/getExpensesRequest.json", "responseSchema": "./json-schemas/payperSchema.json#/definitions/getExpensesResponse" }] } }, "transforms": [{ "resolversComposition": { "mode": "bare", "compositions": [{ "resolver": "Query.getExpenses", "composer": "./src/resolvers/getExpensesResolver" }] } }] }], "serve": { "browser": false }, "sdk": { "generateOperations": { "selectionSetDepth": 2 } }, "require": ["ts-node/register/transpile-only"] };
export function getMeshOptions() {
    const cache = new MeshCache({
        ...(rawConfig.cache || {}),
        store: rootStore.child('cache'),
    });
    const eventEmitter = new EventEmitter({ captureRejections: true });
    eventEmitter.setMaxListeners(Infinity);
    const pubsub = new PubSub({ eventEmitter });
    const sourcesStore = rootStore.child('sources');
    const logger = new DefaultLogger('Mesh');
    const sources = [];
    const transforms = [];
    const payperTransforms = [];
    const additionalTypeDefs = [];
    const payperHandler = new JsonSchemaHandler({
        name: rawConfig.sources[0].name,
        config: rawConfig.sources[0].handler.jsonSchema,
        baseDir,
        cache,
        pubsub,
        store: sourcesStore.child(rawConfig.sources[0].name),
        logger: logger.child(rawConfig.sources[0].name),
        importFn
    });
    const merger = new StitchingMerger({
        cache,
        pubsub,
        logger: logger.child('StitchingMerger'),
        store: rootStore.child('stitchingMerger')
    });
    payperTransforms.push(new ResolversCompositionTransform({
        apiName: rawConfig.sources[0].name,
        config: rawConfig.sources[0].transforms[0].resolversComposition,
        baseDir,
        cache,
        pubsub,
        syncImportFn
    }));
    sources.push({
        name: 'Payper',
        handler: payperHandler,
        transforms: payperTransforms
    });
    const additionalResolvers = resolveAdditionalResolvers(baseDir, rawConfig.additionalResolvers, syncImportFn, pubsub);
    const liveQueryInvalidations = rawConfig.liveQueryInvalidations;
    return {
        sources,
        transforms,
        additionalTypeDefs,
        additionalResolvers,
        cache,
        pubsub,
        merger,
        logger,
        liveQueryInvalidations,
    };
}
export const documentsInSDL = /*#__PURE__*/ [];
export function getBuiltMesh() {
    const meshConfig = getMeshOptions();
    return getMesh(meshConfig);
}
export async function getMeshSDK() {
    const { sdkRequester } = await getBuiltMesh();
    return getSdk(sdkRequester);
}
export const getExpenses_queryDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getExpenses_query" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "input" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "_queryInput_getExpenses_Input" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "getExpenses" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "input" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "input" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "description" } }, { "kind": "Field", "name": { "kind": "Name", "value": "expenses" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "created_at" } }, { "kind": "Field", "name": { "kind": "Name", "value": "currency_symbol" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_date" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_type" } }, { "kind": "Field", "name": { "kind": "Name", "value": "file_name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "file_url" } }, { "kind": "Field", "name": { "kind": "Name", "value": "foreign_total_for_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "original_file_name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "provider" } }, { "kind": "Field", "name": { "kind": "Name", "value": "recognized_vat_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "remarks" } }, { "kind": "Field", "name": { "kind": "Name", "value": "status_classification" } }, { "kind": "Field", "name": { "kind": "Name", "value": "system_id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_for_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_for_vat" } }, { "kind": "Field", "name": { "kind": "Name", "value": "updated_at" } }, { "kind": "Field", "name": { "kind": "Name", "value": "vat_payment" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "next_page" } }, { "kind": "Field", "name": { "kind": "Name", "value": "result" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_entries" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_pages" } }] } }] } }] };
export function getSdk(requester) {
    return {
        getExpenses_query(variables, options) {
            return requester(getExpenses_queryDocument, variables, options);
        }
    };
}
