module.exports = {
  "$ref": "#/definitions/_schema",
  "definitions": {
    "getExpensesResponse_description": {
      "type": "string",
      "default": "Success",
      "title": "getExpensesResponse_description"
    },
    "_query_getExpenses_expenses_items_created_at": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_created_at"
    },
    "_query_getExpenses_expenses_items_currency_symbol": {
      "type": "string",
      "enum": [
        "EUR",
        "USD"
      ],
      "title": "_query_getExpenses_expenses_items_currency_symbol"
    },
    "_query_getExpenses_expenses_items_document_date": {
      "type": [
        "string",
        "null"
      ],
      "title": "_query_getExpenses_expenses_items_document_date"
    },
    "_query_getExpenses_expenses_items_document_id": {
      "type": [
        "string",
        "null"
      ],
      "title": "_query_getExpenses_expenses_items_document_id"
    },
    "_query_getExpenses_expenses_items_document_type": {
      "type": [
        "string",
        "null"
      ],
      "title": "_query_getExpenses_expenses_items_document_type"
    },
    "_query_getExpenses_expenses_items_file_name": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_file_name"
    },
    "_query_getExpenses_expenses_items_file_url": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_file_url"
    },
    "_query_getExpenses_expenses_items_foreign_total_for_payment": {
      "type": "number",
      "format": "float",
      "title": "_query_getExpenses_expenses_items_foreign_total_for_payment"
    },
    "_query_getExpenses_expenses_items_original_file_name": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_original_file_name"
    },
    "_query_getExpenses_expenses_items_provider": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_provider"
    },
    "_query_getExpenses_expenses_items_recognized_vat_payment": {
      "type": "number",
      "format": "float",
      "title": "_query_getExpenses_expenses_items_recognized_vat_payment"
    },
    "_query_getExpenses_expenses_items_remarks": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_remarks"
    },
    "_query_getExpenses_expenses_items_status_classification": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_status_classification"
    },
    "_query_getExpenses_expenses_items_system_id": {
      "type": "integer",
      "title": "_query_getExpenses_expenses_items_system_id"
    },
    "_query_getExpenses_expenses_items_total_for_payment": {
      "type": "number",
      "format": "float",
      "title": "_query_getExpenses_expenses_items_total_for_payment"
    },
    "_query_getExpenses_expenses_items_total_for_vat": {
      "type": "number",
      "format": "float",
      "title": "_query_getExpenses_expenses_items_total_for_vat"
    },
    "_query_getExpenses_expenses_items_updated_at": {
      "type": "string",
      "title": "_query_getExpenses_expenses_items_updated_at"
    },
    "_query_getExpenses_expenses_items_vat_payment": {
      "type": "number",
      "format": "float",
      "title": "_query_getExpenses_expenses_items_vat_payment"
    },
    "_query_getExpenses_expenses_items": {
      "type": "object",
      "additionalProperties": false,
      "description": "A Single Expense",
      "required": [
        "created_at",
        "file_name",
        "file_url",
        "provider",
        "recognized_vat_payment",
        "status_classification",
        "system_id",
        "total_for_payment",
        "total_for_vat",
        "updated_at",
        "vat_payment"
      ],
      "properties": {
        "created_at": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_created_at"
        },
        "currency_symbol": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_currency_symbol"
        },
        "document_date": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_document_date"
        },
        "document_id": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_document_id"
        },
        "document_type": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_document_type"
        },
        "file_name": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_file_name"
        },
        "file_url": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_file_url"
        },
        "foreign_total_for_payment": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_foreign_total_for_payment"
        },
        "original_file_name": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_original_file_name"
        },
        "provider": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_provider"
        },
        "recognized_vat_payment": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_recognized_vat_payment"
        },
        "remarks": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_remarks"
        },
        "status_classification": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_status_classification"
        },
        "system_id": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_system_id"
        },
        "total_for_payment": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_total_for_payment"
        },
        "total_for_vat": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_total_for_vat"
        },
        "updated_at": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_updated_at"
        },
        "vat_payment": {
          "$ref": "#/definitions/_query_getExpenses_expenses_items_vat_payment"
        }
      },
      "title": "_query_getExpenses_expenses_items"
    },
    "getExpensesResponse_expenses": {
      "type": "array",
      "description": "An array of JSON of the search",
      "additionalItems": false,
      "items": {
        "$ref": "#/definitions/_query_getExpenses_expenses_items"
      },
      "title": "getExpensesResponse_expenses"
    },
    "getExpensesResponse_next_page": {
      "type": "string",
      "description": "The next available page",
      "title": "getExpensesResponse_next_page"
    },
    "getExpensesResponse_result": {
      "type": "integer",
      "default": 200,
      "title": "getExpensesResponse_result"
    },
    "getExpensesResponse_total_entries": {
      "type": "integer",
      "description": "The total size of the query",
      "title": "getExpensesResponse_total_entries"
    },
    "getExpensesResponse_total_pages": {
      "type": "string",
      "description": "The total pages of the query",
      "title": "getExpensesResponse_total_pages"
    },
    "getExpensesResponse": {
      "type": "object",
      "additionalProperties": false,
      "required": [
        "description",
        "result"
      ],
      "properties": {
        "description": {
          "$ref": "#/definitions/getExpensesResponse_description"
        },
        "expenses": {
          "$ref": "#/definitions/getExpensesResponse_expenses"
        },
        "next_page": {
          "$ref": "#/definitions/getExpensesResponse_next_page"
        },
        "result": {
          "$ref": "#/definitions/getExpensesResponse_result"
        },
        "total_entries": {
          "$ref": "#/definitions/getExpensesResponse_total_entries"
        },
        "total_pages": {
          "$ref": "#/definitions/getExpensesResponse_total_pages"
        }
      },
      "title": "getExpensesResponse"
    },
    "Query": {
      "type": "object",
      "title": "Query",
      "properties": {
        "getExpenses": {
          "$ref": "#/definitions/getExpensesResponse"
        }
      }
    },
    "_api_user": {
      "type": "string",
      "title": "_api_user"
    },
    "_query_options_updated_from": {
      "type": "string",
      "title": "_query_options_updated_from"
    },
    "_query_options_updated_to": {
      "type": "string",
      "title": "_query_options_updated_to"
    },
    "_query_options_created_from": {
      "type": "string",
      "title": "_query_options_created_from"
    },
    "_query_options_created_to": {
      "type": "string",
      "title": "_query_options_created_to"
    },
    "_query_options_document_date_from": {
      "type": "string",
      "title": "_query_options_document_date_from"
    },
    "_query_options_document_date_to": {
      "type": "string",
      "title": "_query_options_document_date_to"
    },
    "_query_options_document_id": {
      "type": "string",
      "title": "_query_options_document_id"
    },
    "_query_options_system_id": {
      "type": "integer",
      "description": "default: -100000000",
      "title": "_query_options_system_id"
    },
    "_query_options_order": {
      "type": "string",
      "enum": [
        "document_date"
      ],
      "title": "_query_options_order"
    },
    "_query_options_page": {
      "type": "integer",
      "description": "default: 1",
      "title": "_query_options_page"
    },
    "_query_options_per_page": {
      "type": "integer",
      "description": "default: 50",
      "title": "_query_options_per_page"
    },
    "_query_options": {
      "type": "object",
      "additionalProperties": false,
      "required": [],
      "properties": {
        "updated_from": {
          "$ref": "#/definitions/_query_options_updated_from"
        },
        "updated_to": {
          "$ref": "#/definitions/_query_options_updated_to"
        },
        "created_from": {
          "$ref": "#/definitions/_query_options_created_from"
        },
        "created_to": {
          "$ref": "#/definitions/_query_options_created_to"
        },
        "document_date_from": {
          "$ref": "#/definitions/_query_options_document_date_from"
        },
        "document_date_to": {
          "$ref": "#/definitions/_query_options_document_date_to"
        },
        "document_id": {
          "$ref": "#/definitions/_query_options_document_id"
        },
        "system_id": {
          "$ref": "#/definitions/_query_options_system_id"
        },
        "order": {
          "$ref": "#/definitions/_query_options_order"
        },
        "page": {
          "$ref": "#/definitions/_query_options_page"
        },
        "per_page": {
          "$ref": "#/definitions/_query_options_per_page"
        }
      },
      "title": "_query_options"
    },
    "_queryInput_getExpenses": {
      "$schema": "http://json-schema.org/draft-07/schema#",
      "type": "object",
      "additionalProperties": false,
      "required": [],
      "properties": {
        "api_user": {
          "$ref": "#/definitions/_api_user"
        },
        "query_options": {
          "$ref": "#/definitions/_query_options"
        }
      },
      "title": "_queryInput_getExpenses"
    },
    "QueryInput": {
      "type": "object",
      "title": "QueryInput",
      "properties": {
        "getExpenses": {
          "$ref": "#/definitions/_queryInput_getExpenses"
        }
      }
    },
    "_schema": {
      "type": "object",
      "title": "_schema",
      "properties": {
        "query": {
          "$ref": "#/definitions/Query"
        },
        "queryInput": {
          "$ref": "#/definitions/QueryInput"
        }
      },
      "required": [
        "query"
      ]
    }
  }
}