import { GraphQLResolveInfo } from 'graphql';
export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
export declare type RequireFields<T, K extends keyof T> = {
    [X in Exclude<keyof T, K>]?: T[X];
} & {
    [P in K]-?: NonNullable<T[P]>;
};
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
};
export declare type Query = {
    getExpenses?: Maybe<GetExpensesResponse>;
};
export declare type QueryGetExpensesArgs = {
    input?: Maybe<GetExpensesRequestJsonRequest>;
};
export declare type GetExpensesResponse = {
    description: Scalars['String'];
    expenses?: Maybe<Array<Maybe<PayperSchemaJsonExpense>>>;
    next_page?: Maybe<Scalars['String']>;
    result: Scalars['Int'];
    total_entries?: Maybe<Scalars['Int']>;
    total_pages?: Maybe<Scalars['String']>;
};
export declare type PayperSchemaJsonExpense = {
    created_at: Scalars['String'];
    currency_symbol?: Maybe<PayperSchemaJsonExpenseCurrencySymbol>;
    document_date: Scalars['String'];
    document_id: Scalars['String'];
    document_type: Scalars['String'];
    file_name: Scalars['String'];
    file_url: Scalars['String'];
    foreign_total_for_payment?: Maybe<Scalars['Float']>;
    provider: Scalars['String'];
    recognized_vat_payment: Scalars['Float'];
    remarks?: Maybe<Scalars['String']>;
    status_classification: Scalars['String'];
    system_id: Scalars['Int'];
    total_for_payment: Scalars['Float'];
    total_for_vat: Scalars['Float'];
    updated_at: Scalars['String'];
    vat_payment: Scalars['Float'];
};
export declare enum PayperSchemaJsonExpenseCurrencySymbol {
    Eur = "EUR",
    Usd = "USD"
}
export declare type GetExpensesRequestJsonRequest = {
    api_user?: Maybe<Scalars['String']>;
    query_options?: Maybe<GetExpensesRequestJsonRequestQueryOptions>;
};
export declare type GetExpensesRequestJsonRequestQueryOptions = {
    updated_from?: Maybe<Scalars['String']>;
    updated_to?: Maybe<Scalars['String']>;
    created_from?: Maybe<Scalars['String']>;
    created_to?: Maybe<Scalars['String']>;
    document_date_from?: Maybe<Scalars['String']>;
    document_date_to?: Maybe<Scalars['String']>;
    document_id?: Maybe<Scalars['String']>;
    system_id?: Maybe<Scalars['Int']>;
    order?: Maybe<GetExpensesRequestJsonRequestQueryOptionsOrder>;
    page?: Maybe<Scalars['Int']>;
    per_page?: Maybe<Scalars['Int']>;
};
export declare enum GetExpensesRequestJsonRequestQueryOptionsOrder {
    DocumentDate = "document_date"
}
export declare type WithIndex<TObject> = TObject & Record<string, any>;
export declare type ResolversObject<TObject> = WithIndex<TObject>;
export declare type ResolverTypeWrapper<T> = Promise<T> | T;
export declare type LegacyStitchingResolver<TResult, TParent, TContext, TArgs> = {
    fragment: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type NewStitchingResolver<TResult, TParent, TContext, TArgs> = {
    selectionSet: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type StitchingResolver<TResult, TParent, TContext, TArgs> = LegacyStitchingResolver<TResult, TParent, TContext, TArgs> | NewStitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type Resolver<TResult, TParent = {}, TContext = {}, TArgs = {}> = ResolverFn<TResult, TParent, TContext, TArgs> | StitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type ResolverFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => Promise<TResult> | TResult;
export declare type SubscriptionSubscribeFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => AsyncIterator<TResult> | Promise<AsyncIterator<TResult>>;
export declare type SubscriptionResolveFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export interface SubscriptionSubscriberObject<TResult, TKey extends string, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<{
        [key in TKey]: TResult;
    }, TParent, TContext, TArgs>;
    resolve?: SubscriptionResolveFn<TResult, {
        [key in TKey]: TResult;
    }, TContext, TArgs>;
}
export interface SubscriptionResolverObject<TResult, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<any, TParent, TContext, TArgs>;
    resolve: SubscriptionResolveFn<TResult, any, TContext, TArgs>;
}
export declare type SubscriptionObject<TResult, TKey extends string, TParent, TContext, TArgs> = SubscriptionSubscriberObject<TResult, TKey, TParent, TContext, TArgs> | SubscriptionResolverObject<TResult, TParent, TContext, TArgs>;
export declare type SubscriptionResolver<TResult, TKey extends string, TParent = {}, TContext = {}, TArgs = {}> = ((...args: any[]) => SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>) | SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>;
export declare type TypeResolveFn<TTypes, TParent = {}, TContext = {}> = (parent: TParent, context: TContext, info: GraphQLResolveInfo) => Maybe<TTypes> | Promise<Maybe<TTypes>>;
export declare type IsTypeOfResolverFn<T = {}, TContext = {}> = (obj: T, context: TContext, info: GraphQLResolveInfo) => boolean | Promise<boolean>;
export declare type NextResolverFn<T> = () => Promise<T>;
export declare type DirectiveResolverFn<TResult = {}, TParent = {}, TContext = {}, TArgs = {}> = (next: NextResolverFn<TResult>, parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export declare type ResolversTypes = ResolversObject<{
    Query: ResolverTypeWrapper<{}>;
    getExpensesResponse: ResolverTypeWrapper<GetExpensesResponse>;
    String: ResolverTypeWrapper<Scalars['String']>;
    PayperSchemaJsonExpense: ResolverTypeWrapper<PayperSchemaJsonExpense>;
    PayperSchemaJsonExpenseCurrencySymbol: PayperSchemaJsonExpenseCurrencySymbol;
    Float: ResolverTypeWrapper<Scalars['Float']>;
    Int: ResolverTypeWrapper<Scalars['Int']>;
    GetExpensesRequestJsonRequest: GetExpensesRequestJsonRequest;
    GetExpensesRequestJsonRequestQueryOptions: GetExpensesRequestJsonRequestQueryOptions;
    GetExpensesRequestJsonRequestQueryOptionsOrder: GetExpensesRequestJsonRequestQueryOptionsOrder;
    Boolean: ResolverTypeWrapper<Scalars['Boolean']>;
}>;
export declare type ResolversParentTypes = ResolversObject<{
    Query: {};
    getExpensesResponse: GetExpensesResponse;
    String: Scalars['String'];
    PayperSchemaJsonExpense: PayperSchemaJsonExpense;
    Float: Scalars['Float'];
    Int: Scalars['Int'];
    GetExpensesRequestJsonRequest: GetExpensesRequestJsonRequest;
    GetExpensesRequestJsonRequestQueryOptions: GetExpensesRequestJsonRequestQueryOptions;
    Boolean: Scalars['Boolean'];
}>;
export declare type QueryResolvers<ContextType = MeshContext, ParentType extends ResolversParentTypes['Query'] = ResolversParentTypes['Query']> = ResolversObject<{
    getExpenses?: Resolver<Maybe<ResolversTypes['getExpensesResponse']>, ParentType, ContextType, RequireFields<QueryGetExpensesArgs, never>>;
}>;
export declare type GetExpensesResponseResolvers<ContextType = MeshContext, ParentType extends ResolversParentTypes['getExpensesResponse'] = ResolversParentTypes['getExpensesResponse']> = ResolversObject<{
    description?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    expenses?: Resolver<Maybe<Array<Maybe<ResolversTypes['PayperSchemaJsonExpense']>>>, ParentType, ContextType>;
    next_page?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    result?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    total_entries?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    total_pages?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
}>;
export declare type PayperSchemaJsonExpenseResolvers<ContextType = MeshContext, ParentType extends ResolversParentTypes['PayperSchemaJsonExpense'] = ResolversParentTypes['PayperSchemaJsonExpense']> = ResolversObject<{
    created_at?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    currency_symbol?: Resolver<Maybe<ResolversTypes['PayperSchemaJsonExpenseCurrencySymbol']>, ParentType, ContextType>;
    document_date?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    document_id?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    document_type?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    file_name?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    file_url?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    foreign_total_for_payment?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    provider?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    recognized_vat_payment?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    remarks?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    status_classification?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    system_id?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    total_for_payment?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    total_for_vat?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    updated_at?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    vat_payment?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
}>;
export declare type PayperSchemaJsonExpenseCurrencySymbolResolvers = {
    Eur: 'EUR';
    Usd: 'USD';
};
export declare type GetExpensesRequestJsonRequestQueryOptionsOrderResolvers = {
    DocumentDate: 'document_date';
};
export declare type Resolvers<ContextType = MeshContext> = ResolversObject<{
    Query?: QueryResolvers<ContextType>;
    getExpensesResponse?: GetExpensesResponseResolvers<ContextType>;
    PayperSchemaJsonExpense?: PayperSchemaJsonExpenseResolvers<ContextType>;
    PayperSchemaJsonExpenseCurrencySymbol?: PayperSchemaJsonExpenseCurrencySymbolResolvers;
    GetExpensesRequestJsonRequestQueryOptionsOrder?: GetExpensesRequestJsonRequestQueryOptionsOrderResolvers;
}>;
export declare type IResolvers<ContextType = MeshContext> = Resolvers<ContextType>;
import { MeshContext as BaseMeshContext, ProjectionOptions } from '@graphql-mesh/runtime';
export declare type PayperSdk = {
    getExpenses: (args: QueryGetExpensesArgs, projectionOptions?: ProjectionOptions) => Promise<Query['getExpenses']>;
};
export declare type QueryPayperSdk = {
    getExpenses: (args: QueryGetExpensesArgs, projectionOptions?: ProjectionOptions) => Promise<Query['getExpenses']>;
};
export declare type MutationPayperSdk = {};
export declare type SubscriptionPayperSdk = {};
export declare type PayperContext = {
    ["Payper"]: {
        api: PayperSdk;
        apiQuery: QueryPayperSdk;
        apiMutation: MutationPayperSdk;
        apiSubscription: SubscriptionPayperSdk;
    };
};
export declare type MeshContext = PayperContext & BaseMeshContext;
