import { DocumentNode } from 'graphql';
export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
};
export declare type Query = {
    __typename?: 'Query';
    getExpenses?: Maybe<GetExpensesResponse>;
};
export declare type QueryGetExpensesArgs = {
    input?: Maybe<GetExpensesRequestJsonRequest>;
};
export declare type GetExpensesResponse = {
    __typename?: 'getExpensesResponse';
    description: Scalars['String'];
    expenses?: Maybe<Array<Maybe<PayperSchemaJsonExpense>>>;
    next_page?: Maybe<Scalars['String']>;
    result: Scalars['Int'];
    total_entries?: Maybe<Scalars['Int']>;
    total_pages?: Maybe<Scalars['String']>;
};
export declare type PayperSchemaJsonExpense = {
    __typename?: 'PayperSchemaJsonExpense';
    created_at: Scalars['String'];
    currency_symbol?: Maybe<PayperSchemaJsonExpenseCurrencySymbol>;
    document_date: Scalars['String'];
    document_id: Scalars['String'];
    document_type: Scalars['String'];
    file_name: Scalars['String'];
    file_url: Scalars['String'];
    foreign_total_for_payment?: Maybe<Scalars['Float']>;
    provider: Scalars['String'];
    recognized_vat_payment: Scalars['Float'];
    remarks?: Maybe<Scalars['String']>;
    status_classification: Scalars['String'];
    system_id: Scalars['Int'];
    total_for_payment: Scalars['Float'];
    total_for_vat: Scalars['Float'];
    updated_at: Scalars['String'];
    vat_payment: Scalars['Float'];
};
export declare enum PayperSchemaJsonExpenseCurrencySymbol {
    Eur = "Eur",
    Usd = "Usd"
}
export declare type GetExpensesRequestJsonRequest = {
    api_user?: Maybe<Scalars['String']>;
    query_options?: Maybe<GetExpensesRequestJsonRequestQueryOptions>;
};
export declare type GetExpensesRequestJsonRequestQueryOptions = {
    updated_from?: Maybe<Scalars['String']>;
    updated_to?: Maybe<Scalars['String']>;
    created_from?: Maybe<Scalars['String']>;
    created_to?: Maybe<Scalars['String']>;
    document_date_from?: Maybe<Scalars['String']>;
    document_date_to?: Maybe<Scalars['String']>;
    document_id?: Maybe<Scalars['String']>;
    system_id?: Maybe<Scalars['Int']>;
    order?: Maybe<GetExpensesRequestJsonRequestQueryOptionsOrder>;
    page?: Maybe<Scalars['Int']>;
    per_page?: Maybe<Scalars['Int']>;
};
export declare enum GetExpensesRequestJsonRequestQueryOptionsOrder {
    DocumentDate = "DocumentDate"
}
export declare type GetExpensesQueryQueryVariables = Exact<{
    input?: Maybe<GetExpensesRequestJsonRequest>;
}>;
export declare type GetExpensesQueryQuery = ({
    __typename?: 'Query';
} & {
    getExpenses?: Maybe<({
        __typename?: 'getExpensesResponse';
    } & Pick<GetExpensesResponse, 'description' | 'next_page' | 'result' | 'total_entries' | 'total_pages'> & {
        expenses?: Maybe<Array<Maybe<({
            __typename?: 'PayperSchemaJsonExpense';
        } & Pick<PayperSchemaJsonExpense, 'created_at' | 'currency_symbol' | 'document_date' | 'document_id' | 'document_type' | 'file_name' | 'file_url' | 'foreign_total_for_payment' | 'provider' | 'recognized_vat_payment' | 'remarks' | 'status_classification' | 'system_id' | 'total_for_payment' | 'total_for_vat' | 'updated_at' | 'vat_payment'>)>>>;
    })>;
});
export declare const GetExpensesQueryDocument: DocumentNode;
export declare type Requester<C = {}> = <R, V>(doc: DocumentNode, vars?: V, options?: C) => Promise<R>;
export declare function getSdk<C>(requester: Requester<C>): {
    getExpensesQuery(variables?: GetExpensesQueryQueryVariables, options?: C): Promise<GetExpensesQueryQuery>;
};
export declare type Sdk = ReturnType<typeof getSdk>;
